*,
*::before,
*::after {
    box-sizing: border-box;
}
body {
    margin: 0;
    padding: 0;
}
h1, h2, h3, p, ol, li{
    color: var(--scotland-blue);
}
li {
    list-style: inherit;
    font-size: var(--copy);
}
h1 {
    font-size: var(--headline);
}
h2 {
    font-size: var(--subheadline);
}
h3 {
    font-size: 20px;
}
.ex-txt {
    font-size: 16px;
    font-weight: var(--fw-semi-bold);
}
p {
    line-height: 1.6rem;
}
span.category {
    font-weight: var(--fw-bold);
    font-size: 20px;
}

.inline-link {
    text-decoration: underline;
    color: var(--danish-red);
    font-weight: var(--fw-semi-bold);
}

.mini-cases-actions {
    display: flex;
    justify-content: center;
    align-items: center;
    gap: 20px;
    margin-top: 20px;
    text-align: center;
}

.mini-cases-actions .secondary-btn {
    color: var(--danish-red);
    padding: 16px 0px 16px 0px;
}

/************************ Intro ************************/

#top-intro {
    position: relative;
}

.case-intro-img {
    display: block;
    width: 100%;
}

.intro-txt-box {
    background-color: var(--white);
    position: absolute;
    bottom: 0%;
    left: 6%;
    
    max-width: 425px;
    width: 100%;
    padding: 5px 25px 25px 25px;
}

.case-intro-img-mbl {
    display: none;
}

#goal {
    text-align: center;
    background-color: var(--danish-red);
    padding: 40px 0 40px 0;
}
.goal-container {
    max-width: 900px;
    margin: 0 auto;
}

#goal h2, #goal p {
    color: var(--white);
}

#goal h2 {
    margin-top: 0;
}

/************************ Global Content ************************/

#case-content {
    max-width: 1000px;
    margin: 0 auto;
    margin-bottom: 150px;
}

.full-txt-box-container {
    margin: 150px 0 150px 0;
}

.half-txt-img-right, .half-txt-img-right-intro {
    display: flex;
    flex-wrap: nowrap;
}

.txt-left-container {
    flex: 1.2;
}

.img-right-container {
    flex: 0.8;
}

.half-txt-img-right, .half-txt-img-right-intro {
    display: flex;
    align-items: center;
    gap: 40px;
}

.half-txt-img-right-intro {
    margin-top: 100px;
    margin-bottom: 100px;
}

.img-right-container img {
    width: 100%;
    height: auto;
    display: block;
}

.red-border-box {
    border: var(--danish-red) 2px solid;
    border-radius: 30px;
    padding: 40px 30px 40px 30px;
    margin: 30px 16px 30px 0px;
}

.process-boxes {
    display: flex;
    gap: 10px;
    align-items: stretch;
}

.process-box {
    flex: 1;
    border: var(--danish-red) 2px solid;
    border-radius: 30px;
    padding: 30px;
}

/************************ Case Specific ************************/

.half-txt-img-left {
    display: flex;
    flex-wrap: nowrap;
    margin: 70px 0 70px 0;
}

.txt-right-container {
    flex: 1.2;
}

.img-left-container {
    flex: 0.8;
}

.half-txt-img-left {
    display: flex;
    align-items: center;
    gap: 40px;
}

.img-left-container img {
    width: 100%;
    height: auto;
    display: block;
}

.website-demo-container {
    display: flex;
    flex-wrap: nowrap;
    align-items: center;
}

.website-mockup {
    flex: 1.1;
    gap: 40px;
}

.website-mockup img{
    width: 100%;
    height: auto;
    display: block;
}

.website-demo-txt-container {
    flex: 0.9;
    text-align: center;
}

.website-demo-txt a, .version-a a, .version-b a, .campaign-result a, .no-img-result a {
    line-height: 90px;
}

.insight-image {
    width: 100%;
}

#case-content > div:nth-child(2) > img:nth-child(3) {
    margin-top: 30px;
}

.insight-image-container {
    display: flex;
    gap: 20px;
}

.process-images {
    display: flex;
    gap: 20px;
    align-items: flex-start;
    flex-wrap: wrap;
    margin-top: 40px;
}

.example-insight {
    flex:1;
    min-width: 0;
    width: 100%;
    height: auto;
    display: block;
}

.process-images img {
    width: auto;
    height: auto;
    display: block;
    max-width: 100%;
}

.full-txt-body-insight {
    margin: 50px 0 50px 0;
}

.brandguidelines, .campaign-insight-examples {
    display: flex;
    flex-wrap: nowrap;
    text-align: center;
    gap: 40px;
}

.campaign-insight-examples {
    align-items: stretch;
    margin-top: 60px;
}

.version-a, .version-b, .example-article, .example-picture {
    flex: 1;
}

.version-a img, .version-b img, .example-article img, .example-picture img {
    width: 100%;
    box-shadow: 0 18px 45px rgba(0,0,0,.22);
}

.example-article img, .example-picture img {
    height: 700px;
    object-fit: cover;
    display: block;
}

.example-article, .example-picture {
    flex: 1;
    display: flex;
    flex-direction: column;
}

.campaign-result, .no-img-result {
    text-align: center;
    max-width: 600px;
    margin:  0 auto;
}

.no-img-result {
    margin-top: 80px;
}

.campaign-result img {
    width: 100%;
}

.txt-left-container-top {
    flex: 1.2;
}

.img-right-container-top {
    flex: 0.8;
}

.half-txt-img-right-top {
    display: flex;
    flex-wrap: nowrap;
    align-items: top;
    gap: 40px;
    margin-top: 100px;
}

.img-right-container-top img {
    width: 100%;
    height: auto;
    display: block;
}

.img-right-container-top {
    text-align: right;
}

.box-and-txt-container {
    display: flex;
    flex-wrap: nowrap;
    gap: 40px;
}

.txt-nxt-to-box {
    flex: 1;
}

.red-box-half {
    flex: 1;
    border: var(--danish-red) 2px solid;
    border-radius: 30px;
    padding: 30px; 
}

.video-wrap {
    max-width: 360px;
}

.video-wrap video {
    width: 100%;
    height: auto;
}

#newspaper-ad, #newsletter {
    margin-top: 150px;
}
/************************ Tablet ************************/

@media (max-width: 1050px) {
    #case-content {
        max-width: 750px;
    }
    .goal-container {
        max-width: 750px;
    }
}

/************************ Mobile ************************/

@media (max-width: 860px) {
    #case-content, .goal-container  {
        max-width: unset;
        padding: 30px;
    }
    #goal {
        padding: 10px 0 10px 0;
    }
    .half-txt-img-right, .half-txt-img-right-intro {
        display: flex;
        flex-wrap: wrap;
        flex-direction: row;
    }
    .half-txt-img-left {
        flex-wrap: wrap;
        flex-direction: column-reverse;
    }
    .txt-left-container, .txt-right-container, .img-right-container, .img-left-container, .version-a, .version-b, .example-insight {
        flex: 1 1 100%;
    }
    .process-boxes {
        flex-wrap: wrap;
        flex-direction: row;
        gap: 20px;
    }
    .process-box {
        flex: 1 1 100%;
    }
    .brandguidelines, .campaign-insight-examples {
        flex-wrap: wrap;
        gap: 40px;
    }
   .intro-txt-box {
        position: static;
        margin: 0;
        width: 100%;
        max-width: unset;
    }    
    .campaign-insight-examples {
        flex-wrap: wrap;
        flex-direction: column;
    }
    .half-txt-img-right-top {
        flex-wrap: wrap;
        flex-direction: column;
        align-items: center;
    }
    .mini-cases-actions {
        margin-top: 40px;
    }

}

@media (max-width: 550px) {
    .case-intro-img {
        display: none;
    }
    .case-intro-img-mbl {
        display: block;
        width: 100%;
    }
    .insight-image-container {
        flex-wrap: wrap;
        flex-direction: row;
        gap: 20px;
    }
    h1 {
        font-size: 32px;
    }
    .website-demo-container {
        flex-wrap: wrap;
        flex-direction: column;
    }
    .box-and-txt-container {
        flex-wrap: wrap;
        flex-direction: column;
    }
}